cmake_minimum_required(VERSION 3.10)
project(common_msgs)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

add_subdirectory(utils)

if (NOT TARGET std_msgs)
    add_subdirectory(std_msgs)
endif()
if (NOT TARGET geometry_msgs)
    add_subdirectory(geometry_msgs)
endif()
if (NOT TARGET sensor_msgs)
    add_subdirectory(sensor_msgs)
endif()
if (NOT TARGET nav_msgs)
    add_subdirectory(nav_msgs)
endif()
if(NOT TARGET map_msgs)
    add_subdirectory(map_msgs)
endif()